problema upgrade di php-mysql

Paolo paolo a unixware.it
Sab 1 Ott 2005 11:01:42 CEST


Ciao,
siccome anche a me un paio di volte ho avuto problemi simili dalla 4.3.9 
alla 4.3.11,  ho riportato quello che avevo fatto per poter ripartire
qui 
http://www.unixware.it/wiki/papers/php.unable.to.load.dynamic.library
e poi qui
http://www.unixware.it/wiki/papers/exit.signal.bus.error.10

Spero che ti possa essere d'aiuto.

ciao e buon week-end
Paolo


Fabio Tonti wrote:

>Grazie Riccardo della risposta.
>Il fatto di configurare php  dovuto alla necessita' di avere le librerie 
>grafiche, che, almeno nelle versioni precedenti, non erano installate di 
>default.
>Cmq ho chiaramente provato anche a disinstallare tutto (apache, mysql, php, 
>ecc) e reinstallare senza configurazioni strane, ma niente, il comando 
>mysql_connect() mi riporta una pagina bianca nel browser.
>
>Sto notanto che in un altro server, in cui php  stato installato dai ports 
>senza configurazioni, mancano le librerie grafiche e non  previsto 
>l'opzione  --with-mysql nella configurazione di php, eppure mod_php prevede 
>mysql.
>Quindi non capisco: se non viene data l'opzione --with-mysql, come fanno ad 
>esserci i comandi di mysql in mod_php? E' dovuta al port php4-mysq? e se cos 
>fosse, in che ordine devono essere installati i due port mod-php e php-mysql?
>
>Io continuo a provare, prima o poi la soluzione la trovo.
>Ciao
>
>
>On Fri, 30 Sep 2005 20:05:13 +0200, Riccardo Torrini wrote 
>  
>
>>On Fri, Sep 30, 2005 at 07:27:28PM +0200, Fabio Tonti wrote: 
>>
>>    
>>
>>>freebsd 5.3 con apache 1.3.22, mysql server e client 4.1, 
>>>mod_php4.3.9 e php-mysql4.3.9 
>>>      
>>>
>>Tutto dai port di oggi o ieri al massimo suppongo... 
>>
>>-rw-r--r--  1 0  0  307 Aug 31 22:02 apache-1.3.33_2/+DESC 
>>-rw-r--r--  1 0  0  167 Aug 31 23:14 mysql-client-4.1.14/+DESC 
>>-rw-r--r--  1 0  0  167 Sep  1 00:22 mysql-server-4.1.14/+DESC 
>>-rw-r--r--  1 0  0  455 Jul 16 10:50 php4-4.4.0/+DESC 
>>
>>    
>>
>>>Ho dovuto aggiornare la configurazione di mod_php con la seguente 
>>>configurazione 
>>>./configure ... 
>>>      
>>>
>>8-|  Why?  Pekke'?  Sei di quelli a cui piace procurarsi dolore?   =) 
>>Usare i ports non era applicabile nel tuo caso? 
>>
>>    
>>
>>>Google non mi ha aiutato, gufi.org nemmeno (per ora) 
>>>      
>>>
>>Eppure nelle ML archiviate dovresti trovare parecchi messaggi che 
>>recitano "usa i ports, se hai problemi avrai supporto, se non usi 
>>i ports vuol dire che sai risolvere da solo i problemi". 
>>
>>Ho paura che nessuno sia disposto a provare ad installare i tuoi 
>>stessi programmi nello stesso modo per cercare di capire cosa non 
>>sta funzionando... 
>>
>>    
>>
>>>Grazie a tutti coloro che mi vorranno rispondere. 
>>>      
>>>
>>Nessuna polemica, ma io ho php, mysql, nani e ballerire, e tutto 
>>gira (come era prevedibile girasse).  Quale strana configurazione 
>>ti serve e che i ports non sono in grado di darti? 
>>
>>-- 
>>Riccardo. ( http://www.GUFI.org/~vic/ )
>>    
>>
>
>________________________________________ 
>Fabio Tonti 
>Pensare Web 
>Soluzioni Internet 
>Via Macanno n.38/q - 47900 Rimini RN 
>Tel.0541-309547 
>Fax 0541 390029 
>www.pensareweb.it 
>________________________________________
>
>  
>



Maggiori informazioni sulla lista aiuto